Fwd: build fail on Opteron

Mate Kosor mate.kosor@gmail.com
Mon Feb 8 13:25:00 GMT 2010


Ryan S. Arnold wrote
> Please send the glibc configure invocation that you used for this build.
 ../glibc-2.11.1/configure --prefix=/home/1/mate

On Sat, Feb 6, 2010 at 7:03 PM, Petr Baudis <pasky@suse.cz> wrote:
> On Sat, Feb 06, 2010 at 04:27:57PM +0100, Mate Kosor wrote:
>> With the latest snapshot downloaded yesterday I get the following
>> error when running make
>
> What binutils version do you have? Are you sure are you using the
> latest?
Before I used GNU ld (GNU Binutils for Debian) 2.18.0.20080103
Today I built the latest binutils 2.20
and get the same error on make:
Inconsistency detected by ld.so: dynamic-link.h: 204:
elf_get_dynamic_info: Assertion `info[15] == ((void *)0)' failed!
When I comment that line and run make again, success. Then make
install finishes with error
--------------
... MORE OUTPUT ...
rm -f /home/1/mate/software/glibc-build/stubs.h
/home/1/mate/software/glibc-build/elf/sln
/home/1/mate/software/glibc-build/elf/symlink.list
rm -f /home/1/mate/software/glibc-build/elf/symlink.list
make[1]: *** [install-symbolic-link] Segmentation fault
---------------
And bad things start happening.... Segmentation faults all over the terminal :-)
--------------------
mate@s2:~/software/glibc-build$ ls
Segmentacijska greĹĄka
-------------------



More information about the Libc-help mailing list